%define anolis_release 2

%global pypi_name cbor2

Name:           python-%{pypi_name}
Version:        5.1.2
Release:        %{anolis_release}%{?dist}
Summary:        Python CBOR (de)serializer with extensive tag support

License:        MIT
URL:            https://github.com/agronholm/cbor2
Source0:        %{pypi_source}

BuildRequires:  gcc

%description
This library provides encoding and decoding for the Concise Binary Object
Representation (CBOR) (RFC 7049) serialization format.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
This library provides encoding and decoding for the Concise Binary Object
Representation (CBOR) (RFC 7049) serialization format.

%package -n python3-%{pypi_name}-doc
Summary:        cbor2 documentation
BuildArch:      noarch
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description -n python3-%{pypi_name}-doc
Documentation for cbor2.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
PYTHONPATH=${PWD} sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}

%check
%pytest -v tests

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%{python3_sitearch}/_%{pypi_name}%{python3_ext_suffix}

%files -n python3-%{pypi_name}-doc
%doc html README.rst

%changelog
* Fri Mar 15 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 5.1.2-2
- Rebuild with python3.11

* Thu Sep 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 5.1.2-1
- Init upstream from version 5.1.2
